Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim.timing
Interface TimegraphListener

All Known Implementing Classes:
  TimegraphAdapter

    public interface TimegraphListener

An interface for listening to timing events in a timed document.

Method Summary
`void` | `elementActivated(TimedElement e, float t)` Invoked to indicate that a timed element has become active.
`void` | `elementAdded(TimedElement e)` Invoked to indicate that a timed element has been added to the document.
`void` | `elementDeactivated(TimedElement e, float t)` Invoked to indicate that a timed element has become inactive and is not filling.
`void` | `elementFilled(TimedElement e, float t)` Invoked to indicate that a timed element has become inactive and is filling.
`void` | `elementInstanceTimesChanged(TimedElement e, float isBegin)` Invoked to indicate that the list of instance times for the given timed element has been updated.
`void` | `elementRemoved(TimedElement e)` Invoked to indicate that a timed element has been removed from the document.
`void` | `elementRepeated(TimedElement e, int i, float t)` Invoked to indicate that the given timed element began a repeat iteration at the specified time.
`void` | `intervalBegan(TimedElement e, Interval i)` Invoked to indivate that the given interval began.
`void` | `intervalChanged(TimedElement e, Interval i)` Invoked to indivate that an interval's endpoints were changed.
`void` | `intervalCreated(TimedElement e, Interval i)` Invoked to indivate that an interval was created for the given timed element.
`void` | `intervalRemoved(TimedElement e, Interval i)` Invoked to indivate that an interval was removed for the given timed element.

Method Detail

### elementAdded

    void elementAdded(TimedElement e)

  Invoked to indicate that a timed element has been added to the document.

### elementRemoved

    void elementRemoved(TimedElement e)

  Invoked to indicate that a timed element has been removed from the document.

### elementActivated

    void elementActivated(TimedElement e,
                          float t)

  Invoked to indicate that a timed element has become active.

  Parameters:
    `e` - the TimedElement that became active
    `t` - the time (in parent simple time) that the element became active

### elementFilled

    void elementFilled(TimedElement e,
                       float t)

  Invoked to indicate that a timed element has become inactive and is filling.

### elementDeactivated

    void elementDeactivated(TimedElement e,
                            float t)

  Invoked to indicate that a timed element has become inactive and is not filling.

### intervalCreated

    void intervalCreated(TimedElement e,
                         Interval i)

  Invoked to indivate that an interval was created for the given timed element.

### intervalRemoved

    void intervalRemoved(TimedElement e,
                         Interval i)

  Invoked to indivate that an interval was removed for the given timed element.

### intervalChanged

    void intervalChanged(TimedElement e,
                         Interval i)

  Invoked to indivate that an interval's endpoints were changed.

### intervalBegan

    void intervalBegan(TimedElement e,
                       Interval i)

  Invoked to indivate that the given interval began.

  Parameters:
    `i` - the Interval that began, or null if no interval is active for the given timed element.

### elementRepeated

    void elementRepeated(TimedElement e,
                         int i,
                         float t)

  Invoked to indicate that the given timed element began a repeat iteration at the specified time.

### elementInstanceTimesChanged

    void elementInstanceTimesChanged(TimedElement e,
                                     float isBegin)

  Invoked to indicate that the list of instance times for the given timed element has been updated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.